Create an AppSec rule validation

Cortex XSIAM Platform APIs

post /public_api/appsec/v1/rules/validate

Required license: Cortex XSIAM Premium. In Cortex XSIAM Enterprise and Cortex NG SIEM, requires the Cortex Cloud Posture Management add-on. Not supported in XSIAM Enterprise Plus.

CLIENT REQUEST
curl -X 'POST'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
'https://api-yourfqdn/public_api/appsec/v1/rules/validate'
-d '{ "definition" : "definition" }'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") payload = "[{\"framework\":\"ARM\",\"definition\":\"string\"}]" headers = { 'content-type': "application/json" } conn.request("POST", "/public_api/appsec/v1/rules/validate", payload, headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/appsec/v1/rules/validate") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Post.new(url) request["content-type"] = 'application/json' request.body = "[{\"framework\":\"ARM\",\"definition\":\"string\"}]" response = http.request(request) puts response.read_body
const data = JSON.stringify([ { "framework": "ARM", "definition": "string" } ]); const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("POST", "https://api-yourfqdn/public_api/appsec/v1/rules/validate"); xhr.setRequestHeader("content-type", "application/json"); xhr.send(data);
HttpResponse<String> response = Unirest.post("https://api-yourfqdn/public_api/appsec/v1/rules/validate") .header("content-type", "application/json") .body("[{\"framework\":\"ARM\",\"definition\":\"string\"}]") .asString();
import Foundation let headers = ["content-type": "application/json"] let parameters = [ [ "framework": "ARM", "definition": "string" ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/appsec/v1/rules/validate")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/appsec/v1/rules/validate", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => "[{\"framework\":\"ARM\",\"definition\":\"string\"}]", CURLOPT_HTTPHEADER => [ "content-type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/appsec/v1/rules/validate"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "content-type: application/json"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "[{\"framework\":\"ARM\",\"definition\":\"string\"}]"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/appsec/v1/rules/validate"); var request = new RestRequest(Method.POST); request.AddHeader("content-type", "application/json"); request.AddParameter("application/json", "[{\"framework\":\"ARM\",\"definition\":\"string\"}]", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Body parameters
array[ValidateCustomRuleRequestParams]
required
application/json
[
frameworkstring (Enum)required

Name of the configured frameworks.

Allowed values:"ARM""BICEP""CLOUDFORMATION""KUBERNETES""TERRAFORM"
definitionstringrequired
]
REQUEST
[ { "framework": "ARM", "definition": "example" } ]
Responses

Ok

Body
application/json
frameworksErrorsarray
[
frameworkstring (Enum)

Name of the configured frameworks.

Allowed values:"ARM""BICEP""CLOUDFORMATION""KUBERNETES""TERRAFORM"
errorsarray[string]
]
isValidboolean
RESPONSE
{ "frameworksErrors": [ { "framework": "ARM", "errors": [ "example" ] } ], "isValid": false }